org.apache.hadoop.hdfs.server.datanode

## Enum DiskBalancerWorkStatus.Result

- java.lang.Object
- - java.lang.Enum<DiskBalancerWorkStatus.Result>
  - - org.apache.hadoop.hdfs.server.datanode.DiskBalancerWorkStatus.Result

- All Implemented Interfaces:
    Serializable, Comparable<DiskBalancerWorkStatus.Result>
  Enclosing class:
    org.apache.hadoop.hdfs.server.datanode.DiskBalancerWorkStatus

      public static enum DiskBalancerWorkStatus.Result
      extends Enum<DiskBalancerWorkStatus.Result>

  Various result values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_PLAN`
    `PLAN_CANCELLED`
    `PLAN_DONE`
    `PLAN_UNDER_PROGRESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIntResult()` Get int value of result.
    `static DiskBalancerWorkStatus.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DiskBalancerWorkStatus.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_PLAN

          public static final DiskBalancerWorkStatus.Result NO_PLAN

    - #### PLAN_UNDER_PROGRESS

          public static final DiskBalancerWorkStatus.Result PLAN_UNDER_PROGRESS

    - #### PLAN_DONE

          public static final DiskBalancerWorkStatus.Result PLAN_DONE

    - #### PLAN_CANCELLED

          public static final DiskBalancerWorkStatus.Result PLAN_CANCELLED

  - ### Method Detail

    - #### values

          public static DiskBalancerWorkStatus.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DiskBalancerWorkStatus.Result c : DiskBalancerWorkStatus.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DiskBalancerWorkStatus.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIntResult

          public int getIntResult()

      Get int value of result.
      Returns:
        int

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.